Favicon

You are here: Home > API Reference > AOSP > Android (Non Gms) Devices > Get AOSP device agent config assets by Id

Get AOSP device agent config assets by Id

Required Permission: mdm.aosp.device.get

Return desired apps/builds and related assets for the AOSP agent

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/devices/{aosDeviceId}/agent-config-assets
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/devices/{aosDeviceId}/agent-config-assets" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/devices/{aosDeviceId}/agent-config-assets", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/aosp/enterprise/devices/{aosDeviceId}/agent-config-assets",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
aosDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
{
    "status": true,
    "data": {}
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}